/* Osm4j is a library that provides utilities to handle Openstreetmap data in java.
 *
 * Copyright (C) 2011  Sebastian Kuerten
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package model.address.android;

/**
 * @author Sebastian Kuerten (sebastian.kuerten@fu-berlin.de)
 * 
 */
public class SqBorough {

	private int id;
	private int level;
	private String name;

	/**
	 * @return the id.
	 */
	public int getId() {
		return this.id;
	}

	/**
	 * @return the level.
	 */
	public int getLevel() {
		return this.level;
	}

	/**
	 * @return the name.
	 */
	public String getName() {
		return this.name;
	}

	/**
	 * Create a new instance of SqBorough.
	 * 
	 * @param id
	 *            the id.
	 * @param level
	 *            the level.
	 * @param name
	 *            the name.
	 */
	public SqBorough(int id, int level, String name) {
		this.id = id;
		this.level = level;
		this.name = name;
	}

	@Override
	public int hashCode() {
		return this.id;
	}

	@Override
	public boolean equals(Object other) {
		if (other instanceof SqBorough) {
			SqBorough o = (SqBorough) other;
			return o.id == this.id;
		}
		return false;
	}
}
